requirement(r1,'the system shall ensure safety distance between trains').
requirement(r2,'the distance between trains shall be minimal').
requirement(r3,'the train location shall be determined through satellite navigation').
requirement(r4,'avoid train collisions').
requirement(r5,'maximise line capacity').
requirement(r6,'reduce deployment costs').
requirement(r7,'reduce maintenance costs').
requirement(r8,'the system shall be composed of a wayside system and an onboard system').
requirement(r9,'the wayside system shall indicate to the onboard system the distance that the train can safely travel Movement Authority').
requirement(r10,'the onvoard system shall ensure that the train is stopped at the end of the MA').
requirement(r11,'the wayside system shall identify the location of each train on the track').
requirement(r12,'the wayside system shall compute the MA for each train on the track').
requirement(r13,'the onboard system shall identify its location').
requirement(r14,'the onboard system shall compute the breaking curve to ensure tha the train is stopped at the end of the MA').
requirement(r15,'the onboard system shall send the location of the train to the wayside system').
requirement(r16,'the wayside system shall receive the location of each train on the track').
requirement(r17,'the distance between trains is the distance between the front of a train and the rear of the preceding train').
requirement(r18,'the bracking distance is minimal if it is equal to the braking distance').
requirement(r19,'the distance between trains is minimal if it is equal to the braking distance').
requirement(r20,'in case of a gallery the location of the train is assumed to be the last location identified by the satellite system').
requirement(r21,'the onboard system shall use fixed ballises to identify its location in case of galleries').
requirement(r22,'the onboard system shall notify to the driver the maximum speed allowed by the barking curve').
requirement(r23,'the driver shall drive the train without exceeding the maximum speed allowed by the breaking curve').
requirement(r24,'if the train speed exceeds the maximum speed allowed by the breaking curve, the onboard system shall brake the train').
requirement(r25,'the onboard system shall include a Driver Machine Interface DMI to notify information to the driver').
requirement(r26,'the DMI background shall be light blue').
requirement(r27,'the DMI text shall be white').
requirement(r28,'the DMI background shall be black').
requirement(r29,'the DMI text shall be while').


attack(att1,[],[r1],unjustified).
attack(att2,[],[r2],unjustified).
attack(att3,[],[r3],unjustified).

refinement(ref1,[r4],[att1],add).
refinement(ref2,[r5],[att2],add).
refinement(ref3,[r5,r6,r7],[att3],add).


attack(att4,[],[r1],nonAtomic).

refinement(ref4,[r8,r9,r10],[att4],andReduce).


attack(att5,[],[r9],nonAtomic).

refinement(ref5,[r11,r12],[att5],andReduce).


attack(att6,[],[r10],nonAtomic).

refinement(ref6,[r13,r14],[att6],andReduce).


attack(att7,[],[r11],nonAtomic).

refinement(ref7,[r15,r16],[att7],andReduce).



attack(att10,[],[r2],ambiguous).

refinement(ref10,[r17,r18,r19],[att10],add).



attack(att11,[],[r3],unattainable).

refinement(ref11,[r20],[att11],weaken).





attack(att12,[],[r20],unattainable).

refinement(ref12,[r21],[att12],strengthen).



attack(att9,[],[r14],incomplete).

refinement(ref9,[r22,r23,24],[att9],add).


attack(att13,[],[r1,r2,r3,r4,r5,r6,r7,r8,r9,r10,r11,r12,r13,r14,r15,r16,r17,r18,r19,r20,r21,r22,r23,r24],incomplete).
refinement(ref13,[r25,r26,r27],[att13],strengthen).


attack(att14,[],[r26,r27],mConflict).
refinement(ref14,[r28,r29],[att14],resolve).







