STEP0 

requirement(g00,'the system shall ensure safety distance between trains').
requirement(g01,'the distance between trains shall be minimal').
requirement(g02,'the train location shall be determined through satellite navigation').

STEP1
requirement(g10,'avoid train collisions').
requirement(g11,'maximise line capacity').
requirement(g12,'reduce deployment costs').
requirement(g13,'reduce maintenance costs').

defect(d00,[],[g00],unjustified).
defect(d01,[],[g01],unjustified).
defect(d02,[],[g02],unjustified).

refinement(r01,[g10],[d1],justify).
refinement(r02,[g11],[d2],justify).
refinement(r03,[g12,g13,g11],[d3],justify).

STEP2 

requirement(g8,'the system shall be composed of a wayside system and an onboard system').
requirement(g9,'the wayside system shall indicate to the onboard system the distance that the train can safely travel Movement Authority').
requirement(g010,'the onvoard system shall ensure that the train is stopped at the end of the MA').

defect(d20,[],[g01],nonAtomic).

refinement(r4,[g8,g9,g010],[d4],andReduce).


STEP3

requirement(g011,'the wayside system shall identify the location of each train on the track').
requirement(g012,'the wayside system shall compute the MA for each train on the track').

defect(d5,[],[g9],nonAtomic).

refinement(r5,[g011,g012],[d5],andReduce).


STEP4

requirement(g013,'the onboard system shall identify its location').
requirement(g014,'the onboard system shall compute the breaking curve to ensure tha the train is stopped at the end of the MA').


defect(d6,[],[g010],nonAtomic).

refinement(r6,[g013,g014],[d6],andReduce).


STEP5

requirement(g015,'the onboard system shall send the location of the train to the wayside system').
requirement(g016,'the wayside system shall receive the location of each train on the track').

defect(d7,[],[g011],nonAtomic).

refinement(r7,[g015,g016],[d7],andReduce).


STEP6 

requirement(g017,'the distance between trains is the distance between the front of a train and the rear of the preceding train').
requirement(g018,'the bracking distance is minimal if it is equal to the braking distance').
requirement(g019,'the distance between trains is minimal if it is equal to the braking distance').


defect(d8,[],[g02],ambiguous).

refinement(r8,[g017,g018,g019],[d8],strengthen).

STEP7

requirement(g020,'in case of a gallery the location of the train is assumed to be the last location identified by the satellite system').


defect(d9,[],[g03],undainable).

refinement(r9,[g020],[d9],weaken).


STEP8

requirement(g021,'the onboard system shall use fixed ballises to identify its location in case of galleries').

defect(d10,[],[g020],tooWeak).

refinement(r10,[g021],[d10],strengthen).

STEP9

requirement(g022,'the onboard system shall notify to the driver the maximum speed allowed by the barking curve').
requirement(g023,'the driver shall drive the train without exceeding the maximum speed allowed by the breaking curve').
requirement(g024,'if the train speed exceeds the maximum speed allowed by the breaking curve the onboard system shall brake the train').


defect(d11,[],[g014],incomplete).

refinement(r11,[g022,g023,g024],[d11],add).

STEP10 

requirement(g025,'the onboard system shall include a Driver Machine Interface DMI to notify information to the driver').
requirement(g026,'the DMI background shall be light blue').
requirement(g027,'the DMI text shall be white').

defect(d12,[],[g01,g02,g03,g4,g5,g6,g7,g8,g9,g010,g011,g012,g013,g014,g015,g016,g017,g018,g019,g020,g021,g022,g023,g024],incomplete).
refinement(r12,[g025,g026,g027],[d12],strengthen).


STEP11 

requirement(g028,'the DMI background shall be black').
requirement(g029,'the DMI text shall be while').


defect(d13,[],[g026,g027],mConflict).
refinement(r13,[g028,g029],[d13],resolve).



requirement(g028,'the DMI background shall be blue').
requirement(g029,'the DMI text shall be yellow').



