/*
			********  DESCRIPTION	********
This program computes arguments on the basis on defeasible rules.

An aspic+ theory is composed of:
- A set of defeasible rules: R. 
- A contrary relation: contrary. 
- A logical language closed under negation.

			********  TECHNICAL DESCRIPTION OF INPUT  *********
A domain is described using the following predicates

- rule_type(Name, [Premises],[Conclusion]) where:
	rule_type in {d_rule, s_rule}, 
	[Premises] is a list of propositions representing the precondition, 
	[Conclusion] is a singleton list which includes one single proposition  
	(PS1:  d_rule(_,[],a) represents an assumption a)
	(PS2:  s_rule(_,[],a) represents an axiom a)
- contrary(P,Q) where P and Q are propositions
- contradictory(P,Q) where P and Q are propositions
- preferred(P,Q) where P and Q are propositions OR P and Q are defeasible rules identifiers

*/

requirement(r1,'G1').
requirement(r2,'G2').
requirement(r3,'G3').
requirement(r4,'G4').

attack(att1,[],['G1'],nonAtomic).
refinement(ref1,['G2','G3','G4'],[att1],orReduce).

attack(att2,[],['G2'],nonAtomic).
att(att3,[],['G3'],nonAtomic).
attack(att4,[],['G4'],nonAtomic).