/*
			********  DESCRIPTION	********
This program computes arguments on the basis on defeasible rules.

An aspic+ theory is composed of:
- A set of defeasible rules: R. 
- A contrary relation: contrary. 
- A logical language closed under negation.

			********  TECHNICAL DESCRIPTION OF INPUT  *********
A domain is described using the following predicates

- rule_type(Name, [Premises],[Conclusion]) where:
	rule_type in {d_rule, s_rule}, 
	[Premises] is a list of propositions representing the precondition, 
	[Conclusion] is a singleton list which includes one single proposition  
	(PS1:  d_rule(_,[],a) represents an assumption a)
	(PS2:  s_rule(_,[],a) represents an axiom a)
- contrary(P,Q) where P and Q are propositions
- contradictory(P,Q) where P and Q are propositions
- preferred(P,Q) where P and Q are propositions OR P and Q are defeasible rules identifiers

*/



requirement(r1,'G1').
requirement(r2,'G2').
requirement(r3,'G3').
requirement(r4,'G4').
requirement(r5,'G5').
requirement(r6,'G6').
requirement(r7,'G7').
requirement(r8,'G8').
requirement(r9,'G9').
requirement(r10,'G10').
requirement(r11,'G11').
requirement(r12,'G12').
requirement(r13,'G13').
requirement(r14,'G14').
requirement(r15,'G15').
requirement(r16,'G16').

attack(att1,[],[r1],nonAtomic).
refinement(ref1,[r3,r4],[att1],andReduce).
refinement(ref2,[r5,r6],[att1],andReduce).

attack(att2,[],[r2],nonAtomic).
refinement(ref3,[r7,r8],[att2],andReduce).
refinement(ref4,[r9,r10],[att2],andReduce).

attack(att3,[],[r2],nonAtomic).
refinement(ref5,[r15,r16],[att3],andReduce).

attack(att4,[],[r10],nonAtomic).

attack(att5,[],[r5],nonAtomic).
refinement(ref6,[r11,r12],[att5],andReduce).
refinement(ref7,[r13,r14],[att5],andReduce).
